<div class="container-fluid">
<%= _.template($('#input_constructor').html())({id:"lrdcoclk", description:tr("Captcha Selector"), default_selector: "string", disable_expression:true, disable_int:true, variants: [">CSS> iframe[src*='checkbox']>FRAME> >CSS> #checkbox<br/><span style='color:gray;font-size:small'>Standard selector from hCaptcha flag with the text «I am human»</span>",">CSS>iframe[src*='#frame=challenge']>FRAME> >CSS>div[class*='challenge-view']<br/><span style='color:gray;font-size:small'>Standard open captcha selector with images and task. Used for Invisible hCaptcha.</span>"], value_string: ">CSS> iframe[src*='checkbox']>FRAME> >CSS> #checkbox", help: {description: tr("This setting is needed to specify a selector to resolve your hCaptcha. By default, 2 selectors are available: The first selector in the list selects the hCaptcha checkbox with the text “I am human”. The second in the list selector selects the open hCaptcha window with the task and captcha image. You can also specify any of your own selectors (CSS, MATSN or XPATH) in case your site has a non-standard captcha layout, e.g. you need to select the second of two visible captchas or the captcha is hidden in several iframe attachments.")} }) %>
<%= _.template($('#input_constructor').html())({id:"dvdtykoq", description:tr("Solve Method"), default_selector: "string", variants: ["Cap.Guru [Russian Server]", "Cap.Guru [German Server]"], disable_expression:true, disable_int:true, value_string: "", help: {description: tr("This setting is necessary to specify to which solution service your captcha should be sent. Please note that requests for captcha solution are not sent through a proxy, but directly from the Internet connection of your computer or server. In case you observe problems with access to one of the servers, change it in this setting. It is recommended to use Russian server (rucaptcha/russian cap.guru) if you are solving captcha on a server or PC from Russia, if your server is located outside of Russia, it is recommended to use another server (2captcha/german cap.guru).")} }) %>
<%= _.template($('#input_constructor').html())({id:"fcpwanit", description:tr("Secret API Key"), default_selector: "string", disable_expression:true, disable_int:true, value_string: "", help: {description: tr("This setting is used to specify a secret API key for your solution method, this key must be purchased from cap.guru, rucaptcha, etc. depending on the selected solution method.")} }) %>
<div style="margin-left: 20px;">
<input type="checkbox" id="AdvancedCheck" onchange="$('#Advanced').toggle()" />
<label for="AdvancedCheck" class="tr" >Advanced settings.</label>
</div>
<span id="Advanced" style="display:none">
<%= _.template($('#input_constructor').html())({id:"msnryorqf", description:tr("Click speed"), default_selector: "string", variants: ["Slow","Normal","Fast","Very Fast","Extreme"], disable_expression:true, disable_int:true, value_string: "Slow", help: {description: tr("This setting changes the behavior of mouse movement speed in the module and captcha click speed, by default the default speed is used, which is set globally in BAS."), examples: [{ code: "Slow", description: tr("standard mouse movement and click speed")},{ code: "Fast", "description": tr("accelerated x3 mouse movement and click speed")},{ code: "Extreme", "description": tr("instant x5 mouse movement and click speed")}]}}) %>
<%= _.template($('#input_constructor').html())({id:"vuwpevzj", description:tr("Attempts to solve"), default_selector: "int", disable_string: true, value_number: 25, min_number:1, max_number:100, help: {description: tr("This value sets the maximum number of attempts for the module to solve the captcha using the image-clicking method. One attempt equals solving one captcha with a grid of 3x3 squares or one click on a canvas-type captcha. The recommended value is 25. For low-quality proxies, this number can be slightly increased.")} }) %>
<%= _.template($('#input_constructor').html())({id:"liltbkmz", description:tr("Captcha language"), default_selector: "string", variants: ["Ru", "En"], disable_expression:true, disable_int:true, value_string: "En", help: {description: tr("This setting is necessary to tell the module in which language a worker from manual captcha recognition services should solve your captcha. The default language is English (En). Available options: [Ru, En].")} }) %>
<%= _.template($('#input_constructor').html())({id:"vzvalybc", description:tr("Enable debug mode?"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: false, help: {description: tr("This setting is needed to enable detailed logging of all module actions. It is primarily intended for the module developer and will most likely be unnecessary for you. However, if issues arise with the module, enable this mode to generate a detailed bug report."),examples: [{ code: "true", description: tr("enable debug mode")},{ code: "false", "description": tr("disable debug mode")}]}}) %>
<%= _.template($('#input_constructor').html())({id:"zehdyqok", description:tr("Clear cache after solution?"), default_selector: "expression", variants: [true, false], disable_int:true, disable_string:true, value_string: true, help: {description: tr("This parameter allows you to configure the behavior of the module after successful captcha solving, there are 2 options to choose from."),examples: [{ code: "true", description: tr("clear the cache after solving a captcha")},{ code: "false", "description": tr("disable cache clearing after solving a captcha")}]}}) %>
</span>
</div>
<div class="tooltipinternal">
<div class="tr tooltip-paragraph-first-fold">Solve <span style="color: #00C6BF;">hCaptcha</span> any type <code>(Normal, Invisible, Enterprise)</code>, using the image-clicking method.</div>
<div class="tr tooltip-paragraph-fold">This action allows you to solve the captcha before successful completion - a green tick. All you need to do is select any element inside the hCaptcha window, such as the text 'I am human' or an empty check box located to the left of the text.</div>
<div class="tr tooltip-paragraph-fold">If there are no such elements, then rather the type of your Invisible hCaptcha captcha is such an invisible captcha where there is no 'I am human' check box, it appears by clicking on a button on the site, for example, 'Registration'.</div>
<div class="tr tooltip-paragraph-fold">In this case, select the selector specifically designed for this type of captcha; it’s the second option in the module menu.</div>
<div class="tr tooltip-paragraph-fold">This action performs automatic clicks on image numbers or coordinates, takes a screenshot of the image and sends it to the service or program you specified by the capch solution. There is no need to perform any additional actions.</div>
<div class="tr tooltip-paragraph-fold">This solution method is convenient in that you do not need to search for how to call 'callback' on the site, study complex JavaScripts in order to successfully pass the captcha solution.</div>
<div class="tr tooltip-paragraph-fold">Pay attention! This action does not create any 'dangerous code' inside the browser and does not break other types of captcha on sites, as the actions to solve captcha from the context menu do.</div>
<div class="tr tooltip-paragraph-fold">This means that you do not need to constantly disable or enable this module in your scripts for fear of sanctions from the site. For example, when you warm up a profile, this action will not create any new properties of the window object or even replace the current ones.</div>
<div class="tr tooltip-paragraph-last-fold">To speed up the solution of captcha, it is recommended to use good proxies (mobile or resident). In this case, hCaptcha can give you only 1 square with images before the captcha is successfully solved.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", visible:true}) %>
